%global _empty_manifest_terminate_build 0
%global pypi_name watchfiles

Name:           python-%{pypi_name}
Version:        0.22.0
Release:        1
Summary:        Simple, modern and high performance file watching and code reload in python.

License:        MIT
URL:            https://github.com/samuelcolvin/watchfiles
Source0:        https://files.pythonhosted.org/packages/53/e1/666771f0746f95c4df767ff98ff17fe55bb0c32ac88ec14ce0615a789330/watchfiles-0.22.0.tar.gz

BuildRequires:  rust-packaging

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-maturin

%description
Simple, modern and high performance file watching and code reload in python.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Simple, modern and high performance file watching and code reload in python.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{_bindir}/watchfiles
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}*.dist-info/

%changelog
* Tue Jul 02 2024 zouzhimin <zouzhimin@kylinos.cn> - 0.22.0-1
- Update package to version 0.22.0
- fix list-pypi-files CI task 

* Wed Aug 9 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.19.0-1
- Initial package
